DS_COMPLEX_TO_REAL_1D(3)

FUNCTION
ds_complex_to_real_1D - Convert a 1 dimensional array of complex values to real values.

SYNOPSIS
#include <karma_ds.h>

void ds_complex_to_real_1D

(double *out, unsigned int out_stride, double *inp, unsigned int num_values, unsigned int conv_type)

DESCRIPTION
Convert a 1 dimensional array of complex values to real values.

out A pointer to the output array.

out_stride
    The stride (in doubles) of the output array.

inp The array of input complex values.

num_values
    The number of values to convert.

conv_type
    The conversion type to apply.

RETURN VALUE
Nothing.

Multi-threading Level
Safe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/